=== debian/control ===
Source: libayatana-common
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian UBports Team <team+ubports@tracker.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               debhelper-compat (= 13),
               dh-exec,
               dpkg-dev (>= 1.16.1.1),
               gobject-introspection,
               intltool,
               libgirepository1.0-dev,
               googletest,
               libgtest-dev,
               liblomiri-url-dispatcher-dev,
               libglib2.0-dev (>= 2.36),
               pkg-config,
               systemd [linux-any],
               valac,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/libayatana-common
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/libayatana-common

Package: libayatana-common0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Multi-Arch: same
Description: Ayatana System Indicators' common API functions (shared library)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the shared library.

Package: libayatana-common-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
         libayatana-common0 (= ${binary:Version}),
Description: Ayatana System Indicators' common API functions (development headers)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the development headers.

Package: gir1.2-ayatanacommon-0.0
Section: introspection
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
Description: Ayatana System Indicators' common API functions (GObject Introspection)
 This package contains common API functions used by Ayatana System
 Indicators.
 .
 This package contains the GObject Introspection file.

Package: ayatana-indicator-common
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: ayatana-indicator-application (<< 0.8.0),
        ayatana-indicator-datetime (<< 0.8.0),
        ayatana-indicator-display (<< 0.8.0),
        ayatana-indicator-keyboard (<< 0.7.90),
        ayatana-indicator-messages (<< 0.8.0),
        ayatana-indicator-notifications (<< 0.8.0),
        ayatana-indicator-printers (<< 0.8.0),
        ayatana-indicator-power (<< 2.1.0),
        ayatana-indicator-session (<< 0.8.0),
        ayatana-indicator-sound (<< 0.8.0),
Description: Ayatana System Indicators' common files
 This package has files needed to work with the Ayatana Indicators. This
 includes the systemd ayatana-indicators.target and GSetting schemas
 that are required by more than one system indicator.
