=== debian/rules ===
#!/usr/bin/make -f

NULL=

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_TESTS=ON \
		-DCMAKE_INSTALL_DIR=/usr \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
