=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,11 @@
 )
 
 target_link_libraries(ayatana-common
-    ${GLIB_LIBRARIES}
-    ${URLDISPATCHER_LIBRARIES}
+    ${DEPS_LIBRARIES}
 )
 
-if(URLDISPATCHER_FOUND)
-    add_definitions( -DHAS_URLDISPATCHER )
+if(ENABLE_LOMIRI_FEATURES)
+    add_definitions( -DLOMIRI_FEATURES_ENABLED )
 endif()
 
 set(PUBLIC_HEADERS
@@ -84,6 +83,10 @@
 
         add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon.vapi")
 
+    else()
+
+        add_custom_target("src" ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/AyatanaCommon-0.0.typelib")
+
     endif()
 
 endif()
