=== debian/changelog ===
libayatana-common (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 11:19:00 +0100

libayatana-common (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Preparing for using upstream's NEWS file as upstream ChangeLog.
    + Enable Lomiri features when building on Debian (but not when on Ubuntu).
      (relates to LP:1910192).
  * debian/control:
    + Use alternative B-D 'hello' for liblomiri-url-dispatcher-dev. This
      should make the package tolerate missing lomiri-url-dispatcher in Ubuntu.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 22:05:21 +0100
