=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libgirepository1.0-dev,
                googletest,
                libgtest-dev,
-               liblomiri-url-dispatcher-dev,
+               liblomiri-url-dispatcher-dev | hello,
                libglib2.0-dev (>= 2.36),
                pkg-config,
                systemd [linux-any],
