## libayatana-common 0.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set(PROJECT_VERSION "0.9.7")
+set(PROJECT_VERSION "0.9.8")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(GETTEXT_PACKAGE "ayatana-common")
 set(API_VERSION 0)
