=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                pkg-config,
                systemd [linux-any],
                valac,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-common
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git
