=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/libayatana-common/libayatana-common-(.+)\.tar\.gz
