=== debian/changelog ===
libayatana-common (0.9.10-3) unstable; urgency=medium

  * debian/rules:
    + Always build with -DENABLE_LOMIRI_FEATURES=ON (on Debian and all its
      derivatives).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Drop 'hello' as alternative B-D to liblomiri-url-dispatcher-dev.
    + Add to D (libayatana-common-dev): all dev:pkgs used by libayatana-common.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 17:48:07 +0200

libayatana-common (0.9.10-2) unstable; urgency=medium

  * debian/changelog:
    + Post-upload add one more change item to 0.9.10-1.
  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060517).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:26:17 +0200

libayatana-common (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/control:
    + Add to D (shared lib): zenity | lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 23:19:48 +0100

libayatana-common (0.9.9-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libayatana-common0.symbols:
    + Update .symbols file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Oct 2023 08:13:12 +0100
