=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libgirepository1.0-dev,
                googletest,
                libgtest-dev,
-               liblomiri-url-dispatcher-dev | hello,
+               liblomiri-url-dispatcher-dev,
                libglib2.0-dev (>= 2.36),
                pkg-config,
-               systemd [linux-any],
+               systemd-dev [linux-any],
                valac,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/libayatana-common
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libayatana-common.git
@@ -30,6 +30,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         zenity | lomiri,
 Multi-Arch: same
 Description: Ayatana System Indicators' common API functions (shared library)
  This package contains common API functions used by Ayatana System
@@ -44,6 +45,9 @@
          ${misc:Depends},
          gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
          libayatana-common0 (= ${binary:Version}),
+         libgirepository1.0-dev,
+         libglib2.0-dev (>= 2.36),
+         liblomiri-url-dispatcher-dev,
 Description: Ayatana System Indicators' common API functions (development headers)
  This package contains common API functions used by Ayatana System
  Indicators.
