=== debian/changelog ===
libayatana-common (0.9.11-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 16 Mar 2025 12:11:02 +0100

libayatana-common (0.9.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Bump gir1.2-ayatanacommon-0.0 to gir1.2-ayatanacommon-0.1.
  * debian/libayatana-common0.symbols:
    + Update file.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.
    + Add P: ${gir:Provides} to dev:pkg.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Feb 2025 22:25:22 +0100
