=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgtest-dev,
                liblomiri-url-dispatcher-dev,
                libglib2.0-dev (>= 2.36),
-               pkg-config,
+               pkgconf,
                systemd-dev [linux-any],
                valac,
 Standards-Version: 4.7.0
@@ -43,18 +43,19 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gir1.2-ayatanacommon-0.0 (= ${binary:Version}),
+         gir1.2-ayatanacommon-0.1 (= ${binary:Version}),
          libayatana-common0 (= ${binary:Version}),
          libgirepository1.0-dev,
          libglib2.0-dev (>= 2.36),
          liblomiri-url-dispatcher-dev,
+Provides: ${gir:Provides}
 Description: Ayatana System Indicators' common API functions (development headers)
  This package contains common API functions used by Ayatana System
  Indicators.
  .
  This package contains the development headers.
 
-Package: gir1.2-ayatanacommon-0.0
+Package: gir1.2-ayatanacommon-0.1
 Section: introspection
 Architecture: any
 Depends: ${shlibs:Depends},
