=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,8 @@
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    $(NULL)
-
-ifeq ($(shell dpkg-vendor --is Debian && echo yes),yes)
-DEB_CMAKE_EXTRA_FLAGS += \
     -DENABLE_LOMIRI_FEATURES=ON \
     $(NULL)
-endif
 
 %:
 	dh $@ --with gir
